Loading...
Searching...
No Matches
openni_wrapper::ShiftToDepthConverter Class Reference

This class provides conversion of the openni 11-bit shift data to depth;. More...

`#include <pcl/io/openni_camera/openni_shift_to_depth_conversion.h>`

## Public Member Functions

| ShiftToDepthConverter ()=default
| Constructor.
virtual | ~ShiftToDepthConverter ()=default
| Destructor.
void | generateLookupTable ()
| This method generates a look-up table to convert openni shift values to depth.
float | shiftToDepth (std::uint16_t shift_val)
| Generate a look-up table for converting openni shift values to depth.
bool | isInitialized () const

## Protected Attributes

std::vector< float > | lookupTable_
bool | init_ {false}

## Detailed Description

This class provides conversion of the openni 11-bit shift data to depth;.

Definition at line 53 of file openni_shift_to_depth_conversion.h.

## Constructor & Destructor Documentation

## ShiftToDepthConverter()

openni_wrapper::ShiftToDepthConverter::ShiftToDepthConverter | ( |  | ) |

default

Constructor.

## ~ShiftToDepthConverter()

virtual openni_wrapper::ShiftToDepthConverter::~ShiftToDepthConverter | ( |  | ) |

virtual default

Destructor.

## Member Function Documentation

## generateLookupTable()

void openni_wrapper::ShiftToDepthConverter::generateLookupTable | ( |  | ) |

inline

This method generates a look-up table to convert openni shift values to depth.

Definition at line 65 of file openni_shift_to_depth_conversion.h.

References init_, and lookupTable_.

## isInitialized()

bool openni_wrapper::ShiftToDepthConverter::isInitialized | ( |  | ) | const

inline

Definition at line 110 of file openni_shift_to_depth_conversion.h.

References init_.

## shiftToDepth()

float openni_wrapper::ShiftToDepthConverter::shiftToDepth | ( | std::uint16_t | shift_val | ) |

inline

Generate a look-up table for converting openni shift values to depth.

Definition at line 95 of file openni_shift_to_depth_conversion.h.

References init_, and lookupTable_.

## Member Data Documentation

## init_

bool openni_wrapper::ShiftToDepthConverter::init_ {false}

protected

Definition at line 117 of file openni_shift_to_depth_conversion.h.

Referenced by generateLookupTable(), isInitialized(), and shiftToDepth().

## lookupTable_

std::vector<float> openni_wrapper::ShiftToDepthConverter::lookupTable_

protected

Definition at line 116 of file openni_shift_to_depth_conversion.h.

Referenced by generateLookupTable(), and shiftToDepth().

The documentation for this class was generated from the following file:

- pcl/io/openni_camera/openni_shift_to_depth_conversion.h